package com.gic.enterprise.base;

import java.io.Serializable;
import java.util.List;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019/8/28 18:18
 */
public class UserResourceInfo implements Serializable {
    private static final long serialVersionUID = 1609787491094703550L;

    private Long userResource;

    /**
     * 门店资源
     */
    private Long storeResource;

    /**
     * 商品资源
     */
    private Long goodsResourceId;

    /**
     * 订单资源
     [
     {
     "channel":1,        // 渠道 1：线下门店， 2:达摩微商城， 3：微盟微商城
     "storeContent":1    // 门店id或门店选择器id， 多个逗号隔开
     }
     ]
     */
    private Integer orderResource;

    private String orderResourceJson;

    /**
     * 应用资源
     [
     {
     appId:1,    // 应用id
     appName:微商城   // 应用名称
     child:[
     appId: 10,          // 子应用id
     appName: 短信发送   // 子应用名称
     ]
     }
     ]
     */
    private Integer appResource;
    private String appResourceJson;

    /**
     * 短信签名资源
     [
     {
     "type":1,            // 全部签名:1，  部分签名:2
     "ids":[1,2,3]
     }
     ]
     */
    private Integer smsSignResource;
    private String smsSignResourceJson;

    private List<Long> cardConfigIdList;
    private List<Long> appletConfigIdList;
    private List<Long> serviceConfigIdList;

    public Long getStoreResource() {
        return storeResource;
    }

    public void setStoreResource(Long storeResource) {
        this.storeResource = storeResource;
    }

    public Long getGoodsResourceId() {
        return goodsResourceId;
    }

    public void setGoodsResourceId(Long goodsResourceId) {
        this.goodsResourceId = goodsResourceId;
    }

    public Integer getOrderResource() {
        return orderResource;
    }

    public void setOrderResource(Integer orderResource) {
        this.orderResource = orderResource;
    }

    public String getOrderResourceJson() {
        return orderResourceJson;
    }

    public void setOrderResourceJson(String orderResourceJson) {
        this.orderResourceJson = orderResourceJson;
    }

    public Integer getAppResource() {
        return appResource;
    }

    public void setAppResource(Integer appResource) {
        this.appResource = appResource;
    }

    public String getAppResourceJson() {
        return appResourceJson;
    }

    public void setAppResourceJson(String appResourceJson) {
        this.appResourceJson = appResourceJson;
    }

    public Integer getSmsSignResource() {
        return smsSignResource;
    }

    public void setSmsSignResource(Integer smsSignResource) {
        this.smsSignResource = smsSignResource;
    }

    public String getSmsSignResourceJson() {
        return smsSignResourceJson;
    }

    public void setSmsSignResourceJson(String smsSignResourceJson) {
        this.smsSignResourceJson = smsSignResourceJson;
    }

    public Long getUserResource() {
        return userResource;
    }

    public void setUserResource(Long userResource) {
        this.userResource = userResource;
    }

    public List<Long> getCardConfigIdList() {
        return cardConfigIdList;
    }

    public void setCardConfigIdList(List<Long> cardConfigIdList) {
        this.cardConfigIdList = cardConfigIdList;
    }

    public List<Long> getAppletConfigIdList() {
        return appletConfigIdList;
    }

    public void setAppletConfigIdList(List<Long> appletConfigIdList) {
        this.appletConfigIdList = appletConfigIdList;
    }

    public List<Long> getServiceConfigIdList() {
        return serviceConfigIdList;
    }

    public void setServiceConfigIdList(List<Long> serviceConfigIdList) {
        this.serviceConfigIdList = serviceConfigIdList;
    }
}
