package com.gic.download.utils;

import java.io.Serializable;
import java.util.Date;

/**
 * 创建下载记录的参数
 * @ClassName: DownloadReport 
 * @Description:  
 * @author guojuxing 
 * @date 2019/11/4 7:52 PM 
 */
public class DownloadReport implements Serializable{
    private static final long serialVersionUID = -8175883273955206619L;

    private Integer enterpriseId;

    /**
     * 申请人ID
     */
    private Integer applyUserId;

    /**
     * 待下载数据的开始世界
     */
    private Date reportStartTime;

    /**
     * 待下载数据的结束世界
     */
    private Date reportEndTime;

    /**
     * 待下载文件名
     */
    private String fileName;

    /**
     * 数据源（频道页），用  "-" 隔开上级和本级
     */
    private String dataContent;

    /**
     * 数据源超链接，用于点击跳转对应频道页面
     */
    private String dataUrl;

    /**
     * 报告类型  1：完整数据， 2：脱敏数据， 3：二维码
     */
    private Integer dataType;

    /**
     * 待下载数据的数据总量
     */
    private Integer dataCount;

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getApplyUserId() {
        return applyUserId;
    }

    public void setApplyUserId(Integer applyUserId) {
        this.applyUserId = applyUserId;
    }

    public Date getReportStartTime() {
        return reportStartTime;
    }

    public void setReportStartTime(Date reportStartTime) {
        this.reportStartTime = reportStartTime;
    }

    public Date getReportEndTime() {
        return reportEndTime;
    }

    public void setReportEndTime(Date reportEndTime) {
        this.reportEndTime = reportEndTime;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getDataContent() {
        return dataContent;
    }

    public void setDataContent(String dataContent) {
        this.dataContent = dataContent;
    }

    public String getDataUrl() {
        return dataUrl;
    }

    public void setDataUrl(String dataUrl) {
        this.dataUrl = dataUrl;
    }

    public Integer getDataType() {
        return dataType;
    }

    public void setDataType(Integer dataType) {
        this.dataType = dataType;
    }

    public Integer getDataCount() {
        return dataCount;
    }

    public void setDataCount(Integer dataCount) {
        this.dataCount = dataCount;
    }
}
